Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-40040

Migrate all non-OS-bound builds to images that use enhanced-networking capable instance types

    • Type: Icon: Improvement Improvement
    • Resolution: Gone away
    • Priority: Icon: Major - P3 Major - P3
    • 4.1 Desired
    • Affects Version/s: None
    • Component/s: Build
    • Labels:
      None
    • Build
    • 7

      Many of our builders aren't necessarily bound to a specific distro. The coverage builder is a perfect example - we don't ship what it builds, so it makes no difference if it runs on RHEL 6.2 or Ubuntu 18.04.

      Many of our older images cannot take advantage of the enhanced networking available on newer instance types.

      For those builders where it doesn't actually matter what linux or windows version we build with, we should migrate them to run on images where the underlying instance uses the much faster enhanced networking and EBS storage.

            Assignee:
            backlog-server-build Backlog - Build Team (Inactive)
            Reporter:
            andrew.morrow@mongodb.com Andrew Morrow (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Created:
              Updated:
              Resolved: